Apply redeem code

Apply redeem

post

This method applies a redeem code to the wallet. The redeem code must be valid and the wallet must be open.

Path parameters
walletIdstringRequired

The id of the wallet.

redeemCodestringRequired

The redeem code to apply.

Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Responses
chevron-right
200

The request was successful.

application/json

This provides interfaces for API responses with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Read-onlyRequired

This is the message to be displayed to the user.

databooleanRead-onlyOptional

This is the data to be returned to the client.

post
/api/v1/wallets/{walletId}/apply-redeem/{redeemCode}

Last updated